services:
  cronicle_manager:
#    image: cronicle/edge:latest
    image: ghcr.io/cronicle-edge/cronicle-edge:main
    restart: always
    command: manager
    hostname: julien
    environment:
        - CRONICLE_secret_key=secretKey
    ports:
        - 3012:3012
    volumes:
        - /var/run/docker.sock:/var/run/docker.sock
        - /docker_config/cronicle/data:/opt/cronicle/data
        - /docker_config/cronicle/logs:/opt/cronicle/logs
        - /docker_config/cronicle/plugins:/opt/cronicle/plugins
        - /docker_config/cronicle/workloads/app:/app
        - /docker_config/configs/:/configs

#  healthchecks:
#    image: healthchecks/healthchecks:latest
#    container_name: healthchecks
#    environment:
#      - DB=sqlite
#      - DB_NAME=/data/hc.sqlite
#      - DEBUG=False
#      - DEFAULT_FROM_EMAIL=fixme-email-address-here
#      - EMAIL_HOST=fixme-smtp-host-here
#      - EMAIL_HOST_PASSWORD=fixme-smtp-password-here
#      - EMAIL_HOST_USER=fixme-smtp-username-here
#      - EMAIL_PORT=587
#      - EMAIL_USE_TLS=True
#      - SECRET_KEY=---
#      - SITE_ROOT=http://localhost:3013
#    ports:
#      - 3013:8000
#    volumes:
#      - /docker_config/healthchecks/:/data
#    restart: unless-stopped
